Open SCAP Library: OVALDIR

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Files | Data Structures | Enumerations | Functions
OVALDIR
OVAL

Interface for Directives model. More...

## Files
file | oval_directives.h

## Data Structures
struct | oval_directives_model
| This structure holds instance of OVAL Directives. More...
struct | oval_result_directives
| This structure holds instance of either OVAL Default Directives or OVAL Class directives. More...

## Enumerations
enum | oval_result_directive_content_t { OVAL_DIRECTIVE_CONTENT_UNKNOWN = 0, OVAL_DIRECTIVE_CONTENT_THIN = 1, OVAL_DIRECTIVE_CONTENT_FULL = 2 }
| Values for the directives controlling the expected content of the results file. More...

## Functions
struct oval_directives_model * | oval_directives_model::oval_directives_model_new (void)
void | oval_directives_model::oval_directives_model_free (struct oval_directives_model *)
int | oval_directives_model::oval_directives_model_import_source (struct oval_directives_model *model, struct oscap_source *source)
| Import the data from oscap_source to the directives model.
int | oval_directives_model::oval_directives_model_import (struct oval_directives_model *, char *)
struct oval_generator * | oval_directives_model::oval_directives_model_get_generator (struct oval_directives_model *)
struct oval_result_directives * | oval_directives_model::oval_directives_model_get_defdirs (struct oval_directives_model *)
struct oval_result_directives * | oval_directives_model::oval_directives_model_get_classdir (struct oval_directives_model *, oval_definition_class_t)
struct oval_result_directives * | oval_directives_model::oval_directives_model_get_new_classdir (struct oval_directives_model *, oval_definition_class_t)
int | oval_directives_model::oval_directives_model_export (struct oval_directives_model *, const char *)
struct oval_result_directives * | oval_result_directives::oval_result_directives_new (void)
| Create new OVAL Results Directives instance. More...
void | oval_result_directives::oval_result_directives_free (struct oval_result_directives *)
void | oval_result_directives::oval_result_directives_set_reported (struct oval_result_directives *, int flag, bool val)
| Set (or unset) result types that are intended to be reported. More...
void | oval_result_directives::oval_result_directives_set_content (struct oval_result_directives *, int flag, oval_result_directive_content_t)
| Configure the depth of infomation.
void | oval_result_directives::oval_result_directives_set_included (struct oval_result_directives *, bool)
bool | oval_result_directives::oval_result_directives_get_reported (struct oval_result_directives *, oval_result_t)
bool | oval_result_directives::oval_result_directives_get_included (struct oval_result_directives *)
oval_result_directive_content_t | oval_result_directives::oval_result_directives_get_content (struct oval_result_directives *, oval_result_t)

## Detailed Description

Interface for Directives model.

## Enumeration Type Documentation

enum oval_result_directive_content_t

Values for the directives controlling the expected content of the results file.

Enumerator
OVAL_DIRECTIVE_CONTENT_UNKNOWN | Undefined value.
OVAL_DIRECTIVE_CONTENT_THIN | Only the minimal amount of information will be provided.
OVAL_DIRECTIVE_CONTENT_FULL | Very detailed information will be provided allowing in-depth reports to be generated from the results.

## Function Documentation

int oval_directives_model_import | ( | struct oval_directives_model * | ,
|  | char * |
| ) |  |

Deprecated:
  This function has been deprecated and it may be dropped from later OpenSCAP releases. Please use oval_directives_model_import_source instead.

struct oval_result_directives * oval_result_directives_new | ( | void |  | ) |

Create new OVAL Results Directives instance.

Directives are setup to report FULL result by default.

void oval_result_directives_set_reported | ( | struct oval_result_directives * | ,
|  | int | flag,
|  | bool | val
| ) |  |

Set (or unset) result types that are intended to be reported.

Functions does not override previous settings.